CNPJ.ws
API - Public

Validating Suframa Registration in the Public API

How to validate a Suframa registration in the CNPJ.ws Public API, with up to 3 requests per minute.

In the Public API, you can make up to 3 queries per minute of a Suframa registration using the POST method.

Remember to send the CNPJ without special characters.

Method: POST

Endpoint: https://publica.cnpj.ws/suframa

Request Examples

POST
/suframa

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

curl -X POST "https://example.com/suframa" \  -H "Content-Type: application/json" \  -d '{    "cnpj": "string",    "inscricao": "string"  }'
{  "cnpj_raiz": "string",  "cnpj": "string",  "inscricao_suframa": "string",  "ativo": true,  "atualizado_em": "2019-08-24T14:15:22Z"}
{  "status": 0,  "titulo": "string",  "detalhes": "string",  "validacao": [    "string"  ]}
{  "status": 0,  "titulo": "string",  "detalhes": "string",  "validacao": [    "string"  ]}

We have a package that can help you integrate with JavaScript:

yarn add consultar-cnpj
const consultarCNPJ = require("consultar-cnpj");

async function getCNPJ() {
  const cnpj = "61940292006682";
  const incricao = "210140267";

  const empresa = await consultarCNPJ.suframa(cnpj, incricao);
  console.log(empresa);
}

More information about the package

Return Example

Below is an example of the JSON returned when searching for the CNPJ 61940292006682 and registration 210140267:

{
  "cnpj_raiz": "61940292",
  "cnpj": "61940292006682",
  "inscricao_suframa": "210140267",
  "ativo": true,
  "atualizado_em": "2022-01-16T12:28:32.384Z"
}

On this page